Subject: bug#68842: 29.2; implicit declaration of function 'XOpenDisplay'

From: Ulrich Mueller <[email-masked]>
Date: Thu, 01 Feb 2024 10:21:22 +0100

>>>>> On Thu, 01 Feb 2024, Eli Zaretskii wrote:

> Thanks.  Ulrich, please install the patch on the emacs-29 branch.

Will do later today.

>> Also FTR this flag isn't a requirement under GCC 4.6.

To be accurate, the -b option is gone in GCC 4.6, so we're talking
about GCC 4.5 and earlier. (Which won't make any difference for this
discussion, I guess.)

>> It's only relevant for ancient versions of Binutils on Linux-based
>> systems with a.out binaries, which are a rare sight if not
>> nonexistent today, considering the exceedingly short half-lives
>> of such systems.

Yes, but let's go with my minimal patch and include the declaration.
Keeping the test won't hurt even if it's pretty much useless.